Not able to start Validation server in VIP EG 9.1 after upgrading from VIP EG 9.0 (64-bit RHEL 5.5)

book

Article ID: 157348

calendar_today

Updated On:

Products

Symantec Products

Issue/Introduction

Validation server, Self service portal and VIP Manager cannot be started after upgrading from 9.0 to 9.1 in RHEL 5.5 although LDAP SYNC could be run successfully. 

The following error message appears in the vipegconsole.log: ERROR "2012-05-14 13:43:59.178 GMT-0400" 10.50.124.24 vipegconsole 911716db3171b8d2 18784 "actor=vipadm,text=Could not start server: UidPinPwdWNoDel"

The following error message appears in server.out under $VIP_Enterprise_Gateway_9_1_Home/Validation/bin/VSValidationServer: error while loading shared libraries: libidn.so.11: cannot open shared object file: No such file or directory
After installing the 64-bit libidn.so.11 library file, the following error message appears in server.out: error while loading shared libraries: libidn.so.11: wrong ELF class: ELFCLASS64

Cause

The system does not have 32-bit version of libidn.so.11 or there could be a link to 64 bit version of libidn.

VIP EG 9.1 has a dependency on libidn.so.11 because libcurl libraries has dependency on it. Libcurl is being used for Automatic Business Continuity introduced in VIP EG 9.1.

 

Resolution

Post upgrade from VIPEG 9.0 to VIPEG 9.1
1). Perform ldd command <INSTALL_DIR>/Validation/bin/libcurl.so.4
This should list all the dependent libraries and for libidn.so.11, you will see “not found”

2). Install libidn from the RHEL Media/CD.
Rpm will be in media’s Server folder. (for eg., rpm –ivh libidn-0.6.5-1.1.i386.rpm)

Once the libidn rpm is installed,
Perform ldd command <INSTALL_DIR>/Validation/bin/libcurl.so.4
There should be no libraries with “not found” then we should be good to go. Validation servers would start successfully.
If there are any libraries “not found” then it would need to be installed from the RHEL media CD.